%global momorel 6

Summary: unpacks .zip files such as those made by pkzip under DOS
Name: unzip
Version: 5.52
Release: %{momorel}m%{?dist}
License: BSD
Group: Applications/Archiving
URL: http://www.info-zip.org/pub/infozip/UnZip.html
Source: ftp://ftp.info-zip.org/pub/infozip/src/unzip552.tar.gz
NoSource: 0
Patch0: unzip542-rpmoptflags.patch
Patch2: unzip-5.51-link-segv.patch
Patch3: unzip-5.51-link-segv2.patch
Patch6: unzip-5.52-toctou.patch
Patch7: unzip-5.52-near-4GB.patch
Patch8: unzip-5.52-near-4GB2.patch
Patch9: unzip-5.52-long-filename.patch

Patch11: unzip-5.52-jacodeconv.patch
Patch12: unzip-5.52-ubuntuja.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The unzip utility is used to list, test, or extract files from a zip
archive.  Zip archives are commonly found on MS-DOS systems.  The zip
utility, included in the zip package, creates zip archives.  Zip and
unzip are both compatible with archives created by PKWARE(R)'s PKZIP
for MS-DOS, but the programs' options and default behaviors do differ
in some respects.

Install the unzip package if you need to list, test or extract files from
a zip archive.

%prep
%setup -q 
%patch0 -p1 -b .rpmo
%patch2 -p1 -b .link-segv
%patch3 -p1 -b .morn
%patch6 -p1 -b .toctou
%patch7 -p1 -b .4GB
%patch8 -p1 -b .4GB2
%patch9 -p1 -b .lfn
# use Patch12 instead of Patch11 (unzip-5.52-6m)
# %%patch11 -p1 -b .jacc
%patch12 -p1 -b .ja

ln -s unix/Makefile Makefile

%build
make CFLAGS="-D_LARGEFILE64_SOURCE" linux_noasm LF2=""

%install
rm -rf %{buildroot}

make prefix=%{buildroot}/usr MANDIR=%{buildroot}%{_mandir}/man1 install LF2=""

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS INSTALL
%{_bindir}/*
%{_mandir}/man1/*

%ChangeLog
* Tue Jul 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.52-6m)
- import unzip-5.52-ubuntuja.patch from ebuildJP
- http://ebuild.gentoo.gr.jp/view.php?cat=app-arch&app=unzip&visible=

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.52-5m)
- fix 2GB limit problem in ix86
- import patch from FC unzip-5.52-2.2.1
- renumber patch1->patch11

* Wed Apr 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.52-4m)
- update patch1 from Turbo Linux
- * Tue Apr 25 2006 Makoto Dei <makoto@turbolinux.co.jp> - 5.50-13
- - fixed the bug that files with Japanese file names can not be extracted
  -  when their file names are specified in the command line.
- sync patch numbering with TL
- add -b <name> at %%setup
- note: Patch3: unzip-5.52-toctou.patch is patch for CAN-2005-2475

* Wed Aug 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (5.52-3m)
- [SECURITY] unzip TOCTOU file-permissions vulnerability
  http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/bugtraq/2005.08/msg00023.html

* Tue Aug 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (5.52-2m)
- for japanese file name support(from TurboLinux)

* Sat Mar 12 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.52-1m)
  update to 5.52

* Wed Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.51-1m)
- verup

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (5.50-5m)
- revised spec for rpm 4.2.

* Mon Jul 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.50-4m)
- fix trojan vulnerability
- http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0282

* Mon Oct 7 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (5.50-3m)
- Changed the k prefix to m.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (5.50-2k)
- version up.

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (5.42-2k)
- version up.

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (5.41-4k)
- errased unzip.fhs.patch and modified spec file for compatibility

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sat Apr 29 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( description )
- Added %{optflags}

* Mon Apr 24 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- version 5.41

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (5.40-2).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 5.40

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- builds on non i386 platforms

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated the version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
